Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbNamedNativeQuery

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbNamedNativeQuery

    public class JaxbNamedNativeQuery

extends Object

Field Summary
`protected String` | `description`
`protected List<JaxbQueryHint>` | `hint`
`protected String` | `name`
`protected String` | `query`
`protected String` | `resultClass`
`protected String` | `resultSetMapping`

Constructor Summary
`JaxbNamedNativeQuery()`

Method Summary
`String` | `getDescription()` Gets the value of the description property.
`List<JaxbQueryHint>` | `getHint()` Gets the value of the hint property.
`String` | `getName()` Gets the value of the name property.
`String` | `getQuery()` Gets the value of the query property.
`String` | `getResultClass()` Gets the value of the resultClass property.
`String` | `getResultSetMapping()` Gets the value of the resultSetMapping property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setQuery(String value)` Sets the value of the query property.
`void` | `setResultClass(String value)` Sets the value of the resultClass property.
`void` | `setResultSetMapping(String value)` Sets the value of the resultSetMapping property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### query

    protected String query

### hint

    protected List<JaxbQueryHint> hint

### name

    protected String name

### resultClass

    protected String resultClass

### resultSetMapping

    protected String resultSetMapping

Constructor Detail

### JaxbNamedNativeQuery

    public JaxbNamedNativeQuery()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getQuery

    public String getQuery()

  Gets the value of the query property.

  Returns:
    possible object is `String`

### setQuery

    public void setQuery(String value)

  Sets the value of the query property.

  Parameters:
    `value` - allowed object is `String`

### getHint

    public List<JaxbQueryHint> getHint()

  Gets the value of the hint property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hint property.

  For example, to add a new item, do as follows:

          getHint().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbQueryHint`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getResultClass

    public String getResultClass()

  Gets the value of the resultClass property.

  Returns:
    possible object is `String`

### setResultClass

    public void setResultClass(String value)

  Sets the value of the resultClass property.

  Parameters:
    `value` - allowed object is `String`

### getResultSetMapping

    public String getResultSetMapping()

  Gets the value of the resultSetMapping property.

  Returns:
    possible object is `String`

### setResultSetMapping

    public void setResultSetMapping(String value)

  Sets the value of the resultSetMapping property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.